Test fix: python plugin provider with new bindings
authorMichael Jeanson <mjeanson@efficios.com>
Tue, 29 Aug 2017 18:04:01 +0000 (14:04 -0400)
committerJérémie Galarneau <jeremie.galarneau@efficios.com>
Sun, 17 Sep 2017 18:10:50 +0000 (14:10 -0400)
Signed-off-by: Michael Jeanson <mjeanson@efficios.com>
Signed-off-by: Jérémie Galarneau <jeremie.galarneau@efficios.com>
configure.ac
tests/python-plugin-provider/.gitignore
tests/python-plugin-provider/Makefile.am
tests/python-plugin-provider/test.sh.in [deleted file]
tests/python-plugin-provider/test_python_plugin_provider.in [new file with mode: 0644]

index ae1e52202587126f166536cf4fa97e79defd7274..a43716ebd92899f061f422522aff8598d9bc88ec 100644 (file)
@@ -727,7 +727,7 @@ AS_IF([test "x$enable_python_bindings" = xyes],
 )
 
 AS_IF([test "x$enable_python_plugins" = "xyes"],
-  [AC_CONFIG_FILES([tests/python-plugin-provider/test.sh], [chmod +x tests/python-plugin-provider/test.sh])]
+  [AC_CONFIG_FILES([tests/python-plugin-provider/test_python_plugin_provider], [chmod +x tests/python-plugin-provider/test_python_plugin_provider])]
 )
 
 AC_OUTPUT
index 3bdb38e38ad11a51cd6dfb0ff3f6931f735291c7..557bfd33cc2ad757d11e657d567837bfecd7c060 100644 (file)
@@ -1,3 +1,3 @@
 htmlcov
 .coverage
-test.sh
+test_python_plugin_provider
index 694329fd237531dcc90070a48140f36791ffeaaa..14ac482c3ea2ff5478b618be0ba5880f1da6a533 100644 (file)
@@ -1,6 +1,5 @@
-check_SCRIPTS = test.sh
+check_SCRIPTS = test_python_plugin_provider
 EXTRA_DIST =                                           \
-       $(check_SCRIPTS)                                \
        test_python_plugin_provider.py                  \
        bt_plugin_test_python_plugin_provider.py
 
@@ -8,5 +7,5 @@ LOG_DRIVER_FLAGS='--merge'
 LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(top_srcdir)/config/tap-driver.sh
 
 if ENABLE_PYTHON_BINDINGS
-TESTS = test.sh
+TESTS = test_python_plugin_provider
 endif
diff --git a/tests/python-plugin-provider/test.sh.in b/tests/python-plugin-provider/test.sh.in
deleted file mode 100644 (file)
index d4e06a1..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-export PYTHON_PLUGIN_PROVIDER_TEST_PLUGIN_PATH="@abs_top_srcdir@/tests/python-plugin-provider/bt_plugin_test_python_plugin_provider.py"
-export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:@abs_top_builddir@/python-plugin-provider:@abs_top_builddir@/python-plugin-provider/.libs"
-PYTHON_BUILD_DIR="@abs_top_builddir@/bindings/python"
-BT2_NATIVE_LIBS_DIR="@abs_top_builddir@/bindings/python/bt2/.libs"
-TESTS_UTILS_PYTHON_DIR="@abs_top_srcdir@/tests/utils/python"
-TESTRUNNER_PY="@abs_top_srcdir@/tests/utils/python/testrunner.py"
-THIS_DIR="@abs_top_srcdir@/tests/python-plugin-provider"
-
-PYTHONPATH="$PYTHON_BUILD_DIR:$BT2_NATIVE_LIBS_DIR:$TESTS_UTILS_PYTHON_DIR" \
-       "@PYTHON@" "$TESTRUNNER_PY" "$THIS_DIR"
-exit $?
diff --git a/tests/python-plugin-provider/test_python_plugin_provider.in b/tests/python-plugin-provider/test_python_plugin_provider.in
new file mode 100644 (file)
index 0000000..4e3c097
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (C) 2017 - Philippe Proulx <pproulx@efficios.com>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; only version 2
+# of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+#
+
+NO_SH_TAP=1
+. "@abs_top_builddir@/tests/utils/common.sh"
+
+export PYTHON_PLUGIN_PROVIDER_TEST_PLUGIN_PATH="${BT_SRC_PATH}/tests/python-plugin-provider/bt_plugin_test_python_plugin_provider.py"
+export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BT_BUILD_PATH}/lib/.libs:${BT_BUILD_PATH}/python-plugin-provider/.libs"
+PYTHON_BUILD_DIR="${BT_BUILD_PATH}/bindings/python/bt2/build/build_lib"
+TESTS_UTILS_PYTHON_DIR="${BT_SRC_PATH}/tests/utils/python"
+TESTRUNNER_PY="${BT_SRC_PATH}/tests/utils/python/testrunner.py"
+THIS_DIR="${BT_SRC_PATH}/tests/python-plugin-provider"
+
+PYTHONPATH="${PYTHON_BUILD_DIR}:${TESTS_UTILS_PYTHON_DIR}" \
+       "/usr/bin/python3" "${TESTRUNNER_PY}" "${THIS_DIR}"
+exit $?
This page took 0.026689 seconds and 4 git commands to generate.